Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Class JDTCompilerAdapter

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          org.eclipse.jdt.core.JDTCompilerAdapter

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.compilers.CompilerAdapter

public class JDTCompilerAdapter
extends org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

Ant 1.5 compiler adapter for the Eclipse Java compiler. This adapter permits the Eclipse Java compiler to be used with the `javac` task in Ant scripts. In order to use it, just set the property `build.compiler` as follows:

`<property name="build.compiler" value="org.eclipse.jdt.core.JDTCompilerAdapter"/>`

For more information on Ant check out the website at http://jakarta.apache.org/ant/ .

Since:
  2.0

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`JDTCompilerAdapter()`

Method Summary
`boolean` | `execute()` Performs a compile using the JDT batch compiler
`protected org.apache.tools.ant.types.Commandline` | `setupJavacCommand()`

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, executeExternalCompile, executeExternalCompile, getCompileClasspath, getJavac, getProject, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTCompilerAdapter

    public JDTCompilerAdapter()

Method Detail

### execute

    public boolean execute()
                    throws org.apache.tools.ant.BuildException

  Performs a compile using the JDT batch compiler

  Returns:
    boolean true if the compilation is ok, false otherwise
  Throws:
    `org.apache.tools.ant.BuildException` - if anything wrong happen during the compilation

### setupJavacCommand

    protected org.apache.tools.ant.types.Commandline setupJavacCommand()
                                                                throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.